javax.swing.plaf.basic

## Class BasicComboPopup.ListMouseMotionHandler

- java.lang.Object
- - java.awt.event.MouseMotionAdapter
  - - javax.swing.plaf.basic.BasicComboPopup.ListMouseMotionHandler

All Implemented Interfaces:
  MouseMotionListener, EventListener

Enclosing class:
  BasicComboPopup

    protected class BasicComboPopup.ListMouseMotionHandler
    extends MouseMotionAdapter

This listener changes the selected item as you move the mouse over the list. The selection change is not committed to the model, this is for user feedback only.

### Constructor Summary

Constructors
`protected` `BasicComboPopup.ListMouseMotionHandler()`

### Method Summary

Methods
`void` `mouseMoved(MouseEvent anEvent)` Invoked when the mouse button has been moved on a component (with no buttons no down).

### Methods inherited from class java.awt.event.MouseMotionAdapter

`mouseDragged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicComboPopup.ListMouseMotionHandler

    protected BasicComboPopup.ListMouseMotionHandler()

### Method Detail

#### mouseMoved

    public void mouseMoved(MouseEvent anEvent)

Description copied from class: `MouseMotionAdapter`
Invoked when the mouse button has been moved on a component (with no buttons no down).

Specified by:
  `mouseMoved` in interface `MouseMotionListener`
Overrides:
  `mouseMoved` in class `MouseMotionAdapter`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.